Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.converter
Interface ColorAdjustModel

All Known Implementing Classes:
  DefaultColorAdjustModel

    public interface ColorAdjustModel

`ImageAdjustmentModel`.

Version:
  1.0 2012-01-18 Created.
Author:
  Werner Randelshofer

Field Summary
`static java.lang.String` | `BLACK_POINT_PROPERTY` Level adjustment: black point in the range [0,1].
`static java.lang.String` | `BRIGHTNESS_PROPERTY` Brightness adjustment in the range [-1,1].
`static java.lang.String` | `CONTRAST_PROPERTY` Contrast adjustment in the range [-1,1].
`static java.lang.String` | `DEFINITION_PROPERTY` Definition adjustment in the range [0,1].
`static java.lang.String` | `DENOISE_PROPERTY` De-noise adjustment in the range [0,1].
`static java.lang.String` | `EXPOSURE_PROPERTY` Exposure adjustment in the range [-1,1].
`static java.lang.String` | `HIGHLIGHTS_PROPERTY` Higlights adjustment in the range [0,1].
`static java.lang.String` | `MID_POINT_PROPERTY` Level adjustment: mid point in the range [0,1].
`static java.lang.String` | `SATURATION_PROPERTY` Saturation adjustment in the range [0,1].
`static java.lang.String` | `SHADOWS_PROPERTY` Shadows adjustment in the range [0,1].
`static java.lang.String` | `SHARPNESS_PROPERTY` Sharpness adjustment in the range [0,1].
`static java.lang.String` | `TEMPERATURE_PROPERTY` Temperature adjustment in the range [-1,1].
`static java.lang.String` | `TINT_PROPERTY` Tint adjustment in the range [-1,1].
`static java.lang.String` | `WHITE_BALANCE_QM_ENABLED_PROPERTY`
`static java.lang.String` | `WHITE_BALANCE_QM_PROPERTY` A 4-vector with the parameters for quadratic white balance adjustment.
`static java.lang.String` | `WHITE_BALANCE_TT_ENABLED_PROPERTY`
`static java.lang.String` | `WHITE_POINT_PROPERTY` Level adjustment: white point in the range [0,1].

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`float` | `getBlackPoint()`
`float` | `getBrightness()`
`float` | `getContrast()`
`float` | `getDefinition()`
`float` | `getDenoise()`
`float` | `getExposure()`
`float` | `getHighlights()`
`float` | `getMidPoint()`
`float` | `getSaturation()`
`float` | `getShadows()`
`float` | `getSharpness()`
`float` | `getTemperature()`
`float` | `getTint()`
`float[]` | `getWhiteBalanceQM()`
`float` | `getWhitePoint()`
`boolean` | `isIdentity()` Returns true, if the model does not perform any changes to the image.
`boolean` | `isWhiteBalanceQMEnabled()`
`boolean` | `isWhiteBalanceTTEnabled()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `reset()` Resets all values.
`void` | `setBlackPoint(float newValue)`
`void` | `setBrightness(float newValue)`
`void` | `setContrast(float newValue)`
`void` | `setDefinition(float newValue)`
`void` | `setDenoise(float newValue)`
`void` | `setExposure(float newValue)`
`void` | `setHighlights(float newValue)`
`void` | `setMidPoint(float newValue)`
`void` | `setSaturation(float newValue)`
`void` | `setShadows(float newValue)`
`void` | `setSharpness(float newValue)`
`void` | `setTemperature(float newValue)`
`void` | `setTint(float newValue)`
`void` | `setTo(ColorAdjustModel that)`
`void` | `setWhiteBalanceQM(float[] newValue)`
`void` | `setWhiteBalanceQMEnabled(boolean newValue)`
`void` | `setWhiteBalanceTTEnabled(boolean newValue)`
`void` | `setWhitePoint(float newValue)`

Field Detail

### WHITE_POINT_PROPERTY

    static final java.lang.String WHITE_POINT_PROPERTY

  Level adjustment: white point in the range [0,1].

  See Also:
    Constant Field Values

### BLACK_POINT_PROPERTY

    static final java.lang.String BLACK_POINT_PROPERTY

  Level adjustment: black point in the range [0,1].

  See Also:
    Constant Field Values

### MID_POINT_PROPERTY

    static final java.lang.String MID_POINT_PROPERTY

  Level adjustment: mid point in the range [0,1].

  See Also:
    Constant Field Values

### EXPOSURE_PROPERTY

    static final java.lang.String EXPOSURE_PROPERTY

  Exposure adjustment in the range [-1,1].

  See Also:
    Constant Field Values

### BRIGHTNESS_PROPERTY

    static final java.lang.String BRIGHTNESS_PROPERTY

  Brightness adjustment in the range [-1,1].

  See Also:
    Constant Field Values

### CONTRAST_PROPERTY

    static final java.lang.String CONTRAST_PROPERTY

  Contrast adjustment in the range [-1,1].

  See Also:
    Constant Field Values

### SATURATION_PROPERTY

    static final java.lang.String SATURATION_PROPERTY

  Saturation adjustment in the range [0,1].

  See Also:
    Constant Field Values

### DEFINITION_PROPERTY

    static final java.lang.String DEFINITION_PROPERTY

  Definition adjustment in the range [0,1].

  See Also:
    Constant Field Values

### HIGHLIGHTS_PROPERTY

    static final java.lang.String HIGHLIGHTS_PROPERTY

  Higlights adjustment in the range [0,1].

  See Also:
    Constant Field Values

### SHADOWS_PROPERTY

    static final java.lang.String SHADOWS_PROPERTY

  Shadows adjustment in the range [0,1].

  See Also:
    Constant Field Values

### SHARPNESS_PROPERTY

    static final java.lang.String SHARPNESS_PROPERTY

  Sharpness adjustment in the range [0,1].

  See Also:
    Constant Field Values

### DENOISE_PROPERTY

    static final java.lang.String DENOISE_PROPERTY

  De-noise adjustment in the range [0,1].

  See Also:
    Constant Field Values

### TEMPERATURE_PROPERTY

    static final java.lang.String TEMPERATURE_PROPERTY

  Temperature adjustment in the range [-1,1].

  See Also:
    Constant Field Values

### TINT_PROPERTY

    static final java.lang.String TINT_PROPERTY

  Tint adjustment in the range [-1,1].

  See Also:
    Constant Field Values

### WHITE_BALANCE_QM_PROPERTY

    static final java.lang.String WHITE_BALANCE_QM_PROPERTY

  A 4-vector with the parameters for quadratic white balance adjustment. The vector contains the values {Rmu, Rnu, Bmu, Bnu}.

                                           [ R
                                             G
                                             B
       [R'    [ Rnu  0   0  Rmu  0   0       R^2
        G'  =    0   1   0   0   0   0    *  G^2
        B']      0   0  Bnu  0   0  Bmu ]    B^2 ]

  Reference:
  Edmund Lam, Combining gray world and retinex theory for automatic white balance in digital photography, Consumer Electronics, 2005. (ISCE 2005). Proceedings of the Ninth International Symposium on (2005), pp.134–139.

  See Also:
    Constant Field Values

### WHITE_BALANCE_QM_ENABLED_PROPERTY

    static final java.lang.String WHITE_BALANCE_QM_ENABLED_PROPERTY

See Also:
  Constant Field Values

### WHITE_BALANCE_TT_ENABLED_PROPERTY

    static final java.lang.String WHITE_BALANCE_TT_ENABLED_PROPERTY

See Also:
  Constant Field Values

Method Detail

### getWhitePoint

    float getWhitePoint()

### setWhitePoint

    void setWhitePoint(float newValue)

### getBlackPoint

    float getBlackPoint()

### setBlackPoint

    void setBlackPoint(float newValue)

### getMidPoint

    float getMidPoint()

### setMidPoint

    void setMidPoint(float newValue)

### getContrast

    float getContrast()

### setContrast

    void setContrast(float newValue)

### getDefinition

    float getDefinition()

### setDefinition

    void setDefinition(float newValue)

### getDenoise

    float getDenoise()

### setDenoise

    void setDenoise(float newValue)

### getBrightness

    float getBrightness()

### setBrightness

    void setBrightness(float newValue)

### getExposure

    float getExposure()

### setExposure

    void setExposure(float newValue)

### getHighlights

    float getHighlights()

### setHighlights

    void setHighlights(float newValue)

### getSaturation

    float getSaturation()

### setSaturation

    void setSaturation(float newValue)

### getShadows

    float getShadows()

### setShadows

    void setShadows(float newValue)

### getSharpness

    float getSharpness()

### setSharpness

    void setSharpness(float newValue)

### getTemperature

    float getTemperature()

### setTemperature

    void setTemperature(float newValue)

### getTint

    float getTint()

### setTint

    void setTint(float newValue)

### setWhiteBalanceTTEnabled

    void setWhiteBalanceTTEnabled(boolean newValue)

### isWhiteBalanceTTEnabled

    boolean isWhiteBalanceTTEnabled()

### setWhiteBalanceQMEnabled

    void setWhiteBalanceQMEnabled(boolean newValue)

### isWhiteBalanceQMEnabled

    boolean isWhiteBalanceQMEnabled()

### setWhiteBalanceQM

    void setWhiteBalanceQM(float[] newValue)

### getWhiteBalanceQM

    float[] getWhiteBalanceQM()

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### reset

    void reset()

  Resets all values.

### setTo

    void setTo(ColorAdjustModel that)

### isIdentity

    boolean isIdentity()

  Returns true, if the model does not perform any changes to the image.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD